SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 

libkmod2 rpm build for : Mageia Cauldron. For other distributions click libkmod2.

Name : libkmod2
Version : 29 Vendor : Mageia_Org
Release : 2.mga9 Date : 2021-10-02 00:04:00
Group : System/Libraries Source RPM : kmod-29-2.mga9.src.rpm
Size : 0.12 MB
Packager : tmb < tmb>
Summary : Kernel modules management library
Description :
Dynamic libraries for kmod.

The goal of the libkmod library is to offer to other programs the
needed flexibility and fine grained control over insertion, removal,
configuration and listing of kernel modules. Using the library, with
simple pieces of code it\'s possible to interact with kernel modules
and then there\'s no need to rely on other tools for that. This is a
thing lacking on Linux for a while and it\'s one of the items in the
Plumber\'s Wish List for Linux. Quoting it:

provide a proper libmodprobe.so from module-init-tools:
Early boot tools, installers, driver install disks want to access
information about available modules to optimize boot up handling.

RPM found in directory: /mirror/distrib-coffee.ipsl.jussieu.fr/mageia/distrib/cauldron/i586/media/core/release

Content of RPM  Changelog  Provides Requires

Download
ftp.pbone.net  libkmod2-29-2.mga9.i586.rpm
     Search for other platforms
libkmod2-29-2.mga9.sparc.rpm
libkmod2-29-2.mga9.alpha.rpm
libkmod2-29-2.mga9.ppc.rpm
libkmod2-29-2.mga9.ia64.rpm
libkmod2-29-2.mga9.s390.rpm

Provides :
libkmod.so.2
libkmod.so.2(LIBKMOD_22)
libkmod.so.2(LIBKMOD_5)
libkmod.so.2(LIBKMOD_6)
libkmod2
libkmod2(x86-32)

Requires :
filesystem >= 2.1.9-18
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.17)
libc.so.6(GLIBC_2.2)
libc.so.6(GLIBC_2.2.3)
libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.33)
libc.so.6(GLIBC_2.4)
libc.so.6(GLIBC_2.8)
libcrypto.so.3
libcrypto.so.3(OPENSSL_3.0.0)
liblzma.so.5
liblzma.so.5(XZ_5.0)
libz.so.1
libzstd.so.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsZstd) <= 5.4.18-1


Content of RPM :
/usr/lib/.build-id
/usr/lib/.build-id/bb
/usr/lib/.build-id/bb/983516ac6457d2bc5c79c468812042bf0966cb
/usr/lib/libkmod.so.2
/usr/lib/libkmod.so.2.3.7